import { ComponentType } from 'react';
import { HapticFeedback } from 'twa-client-sdk';
/**
 * HOC which passes HapticFeedback SDK component to wrapped React component.
 * @param Component - component to wrap.
 */
export declare function withHapticFeedback<P extends {
    hapticFeedback?: HapticFeedback;
}>(Component: ComponentType<P>): ComponentType<Omit<P, 'hapticFeedback'>>;
