import { ComponentType } from 'react';
import { InitData } from 'twa-client-sdk';
/**
 * HOC which passes InitData SDK component to wrapped React component.
 * @param Component - component to wrap.
 */
export declare function withInitData<P extends {
    initData?: InitData;
}>(Component: ComponentType<P>): ComponentType<Omit<P, 'initData'>>;
