import { ComponentType } from 'react';
import { MainButton } from 'twa-client-sdk';
/**
 * HOC which passes MainButton SDK component to wrapped React component.
 * @param Component - component to wrap.
 */
export declare function withMainButton<P extends {
    mainButton?: MainButton;
}>(Component: ComponentType<P>): ComponentType<Omit<P, 'mainButton'>>;
