import { SDKComponent, SDKComponentName } from './types';
/**
 * Returns current SDK information.
 */
export declare const useSDK: () => import("./types").SDKContext;
/**
 * Returns component by its name. Throws an error in case, SDK
 * is not initialized.
 *
 * @param name - component name.
 * @throws {Error} SDK is not initialized.
 */
export declare function useComponent<N extends SDKComponentName>(name: N): SDKComponent<N>;
