import { ComponentType } from 'react';
import { ThemeParams } from 'twa-client-sdk';
/**
 * HOC which passes ThemeParams SDK component to wrapped React component.
 * @param Component - component to wrap.
 */
export declare function withThemeParams<P extends {
    themeParams?: ThemeParams;
}>(Component: ComponentType<P>): ComponentType<Omit<P, 'themeParams'>>;
