import { ComponentType } from 'react';
import { Viewport } from 'twa-client-sdk';
/**
 * HOC which passes Viewport SDK component to wrapped React component.
 * @param Component - component to wrap.
 */
export declare function withViewport<P extends {
    viewport?: Viewport;
}>(Component: ComponentType<P>): ComponentType<Omit<P, 'viewport'>>;
