import { ComponentType } from 'react';
import { WebApp } from 'twa-client-sdk';
/**
 * HOC which passes WebApp SDK component to wrapped React component.
 * @param Component - component to wrap.
 */
export declare function withWebApp<P extends {
    webApp?: WebApp;
}>(Component: ComponentType<P>): ComponentType<Omit<P, 'webApp'>>;
